DORMANTno replies

[PATCH] git-revert: Fix die before git-sh-setup defines it.

From: Bob Proulx <hidden>
Date: 2016-06-15 22:42:49
Subsystem: the rest · Maintainer: Linus Torvalds

The code previously checked it's own name and called 'die' upon
an error.  However 'die' was not yet defined because git-sh-setup
had not been sourced yet.  Instead simply write the error message
to stderr and exit with an error as was originally desired.

Signed-off-by: Bob Proulx <redacted>
---

I found this by inspection.  I contemplated several different ways of
resolving it but in the end the simplest seemed to be the best.

 git-revert.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/git-revert.sh b/git-revert.sh
index 50cc47b..5ca894a 100755
--- a/git-revert.sh
+++ b/git-revert.sh
@@ -16,7 +16,7 @@ case "$0" in
 	me=cherry-pick
 	USAGE='[--edit] [-n] [-r] [-x] <commit-ish>'  ;;
 * )
-	die "What are you talking about?" ;;
+	echo "What are you talking about?" 1>&2 ; exit 1 ;;
 esac
 . git-sh-setup
 
-- 
1.4.0
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help